 clear all
 close all 

 figure
 
 [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
 specgram(d, 256, sr);
 xlabel('Čas')
 ylabel('Frekvencia')
 title('Reč s tichom na pozadí')
 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
 specgram(d, 256, sr);
 xlabel('Čas')
 ylabel('Frekvencia')
 title('Reč s bielym šum na pozadí')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
 specgram(d, 256, sr);
 xlabel('Čas')
 ylabel('Frekvencia')
 title('Reč s hudbou na pozadí')
 
 [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
 specgram(d, 256, sr);
 xlabel('Čas')
 ylabel('Frekvencia')
 title('Reč so zvukmi z ulice na pozadí')


 figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
title('PLP-zakladne kepstralne koef. (clean,white,music,street)') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra)); 
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index') 

 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
 figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 delta = cep2spec(vx);
 imagesc(10*log10(delta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
title('PLP-diferencne kepstralne koef. (clean,white,music,street)')  

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 delta = cep2spec_RPLP(vx);
 imagesc(10*log10(delta)); 
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 delta = cep2spec(vx);
 imagesc(10*log10(delta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 delta = cep2spec(vx);
 imagesc(10*log10(delta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 deltadelta = cep2spec(ax);
 imagesc(10*log10(deltadelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
title('PLP-akceleracne kepstralne koef. (clean,white,music,street)') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 deltadelta = cep2spec(ax);
 imagesc(10*log10(deltadelta)); 
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 deltadelta = cep2spec(ax);
 imagesc(10*log10(deltadelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 deltadelta = cep2spec(ax);
 imagesc(10*log10(deltadelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
  figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 alldelta = cep2spec(all,39);
 imagesc(10*log10(alldelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 title('PLP-39 kepstralnych koef. (clean,white,music,street)') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 alldelta = cep2spec(all,39);
 imagesc(10*log10(alldelta)); 
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 alldelta = cep2spec(all,39);
 imagesc(10*log10(alldelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 alldelta = cep2spec(all,39);
 imagesc(10*log10(alldelta));
 axis xy
 xlabel('Frame index')
 ylabel('Ch-F index')
 
 
 %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 
 
  figure
 
  [d,sr] = wavread('sb01_Clean.sph.wav');
 subplot(411)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s tichom na pozadí') 

 
 [d,sr] = wavread('sb01_White_05dB.sph.wav');
 subplot(412)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra)); 
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s bielym šum na pozadí')

 
 [d,sr] = wavread('sb01_Music_05dB.sph.wav');
 subplot(413)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12); 
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč s hudbou na pozadí') 

 
  [d,sr] = wavread('sb01_Street_05dB.sph.wav');
 subplot(414)
[c, spectra, vx, ax, all] = rastaplp(d,sr,0,12);
 cepstra = cep2spec(c);
 imagesc(10*log10(cepstra));
xlabel('Rámce')
 ylabel('Kanály')
 axis xy
 title('Reč so zvukmi z ulice na pozadí')